3 Replies Latest reply on Dec 12, 2014 2:37 AM by avelmat

    Hi guys...I cannot set up LR 5.7

    avelmat Level 1

      I have a big problem. I am on Mac Yosemite and I have LR 5.6.

      I cannot set up LR 5.7 even if I have LR 5.6. I Downloaded many times but it fails every time to replace the version I have  even if it says that everything was OK.